Name		: openwebmail
Version		: 2.53
Release		: 1

License		: GPLv2
Summary		: openwebmail main (cgi-bin) package
Group		: Applications/Internet

URL		: http://openwebmail.org
Vendor		: Open Webmail Project
Packager	: Thomas Chung <tchung@openwebmail.org>

BuildRoot	: %{_tmppath}/%{name}-%{version}-buildroot
Source0		: %{name}-%{version}.tar.gz
Source1		: openwebmail.conf
Source2		: openwebmail-auth.conf
Source3		: openwebmail.logrotate
Source4		: openwebmail-dbm.conf
Source5 	: openwebmail-httpd.conf
Source6		: openwebmail-fix.sh

Requires 	: perl
Requires 	: perl-suidperl
Requires 	: perl-Compress-Zlib
Requires 	: perl-Text-Iconv
Requires	: perl(MIME::Base64) >= 3.00
Requires 	: openwebmail-data = %{version}-%{release}

AutoReq	 	: no
AutoProv 	: no

%description
Open WebMail is a webmail system based on the Neomail version 1.14 from 
Ernie Miller. Open WebMail is designed to manage very large mail folder files 
in a memory efficient way.  It also provides a range of features to help users 
migrate smoothly from Microsoft Outlook to Open WebMail. 

%prep
rm -rf %{buildroot}

%install
mkdir -p %{buildroot}/var/www/{cgi-bin,data,html}
tar -zxBpf %{SOURCE0} --directory=%{buildroot}/var/www
install -p -m644 %{SOURCE1} %{buildroot}/var/www/cgi-bin/openwebmail/etc/openwebmail.conf
install -p -m644 %{SOURCE2} %{buildroot}/var/www/cgi-bin/openwebmail/etc/auth_unix.conf
mkdir -p %{buildroot}/etc/smrsh
ln -sf /var/www/cgi-bin/openwebmail/vacation.pl %{buildroot}/etc/smrsh/vacation.pl
mkdir -p %{buildroot}/etc/logrotate.d
install -p -m644 %{SOURCE3} %{buildroot}/etc/logrotate.d/openwebmail.logrotate
install -p -m644 %{SOURCE4} %{buildroot}/var/www/cgi-bin/openwebmail/etc/dbm.conf
mkdir -p %{buildroot}/etc/httpd/conf.d
install -p -m644 %{SOURCE5} %{buildroot}/etc/httpd/conf.d/openwebmail.conf
mkdir -p %{buildroot}/usr/local/bin
install -p -m755 %{SOURCE6} %{buildroot}/usr/local/bin/openwebmail-fix

%clean
rm -rf %{buildroot}

%files
/var/www/cgi-bin/openwebmail
/etc/smrsh/vacation.pl
/etc/logrotate.d/openwebmail.logrotate
/etc/httpd/conf.d/openwebmail.conf
/usr/local/bin/openwebmail-fix

%post
echo
/usr/local/bin/openwebmail-fix
echo
echo "Please execute following tool first as a root:"
echo "/var/www/cgi-bin/openwebmail/openwebmail-tool.pl --init"
echo 
echo "After restarting httpd service, login with non-root account from"
echo "http://$HOSTNAME/cgi-bin/openwebmail/openwebmail.pl"
echo "or http://$HOSTNAME/webmail"
echo
echo "If SELinux enabled, you may need to set it 'permissive' in"
echo "/etc/sysconfig/selinux or system-config-selinux"
echo

## Subpackage: openwebmail-data
%package -n %{name}-data
Version		: %{version}
Release		: %{release}
Group 		: Applications/Internet
Summary		: openwebmail data package
Requires	: openwebmail = %{version}-%{release}

%description -n %{name}-data
openwebmail-data contains most data for openwebmail such as:
doc, help, images, javascripts, sounds, applets and html files.

%files -n %{name}-data
/var/www/data/openwebmail

%changelog
* Fri Jan 25 2008 Thomas Chung <tchung@openwebmail.org> 2.53-1
- Version 2.53
- Subpackage openwebmail-data
- Add openwebmail-dbm.conf
- Add openwebmail-httpd.conf
- Add openwebmail-fix.sh

* Tue May 02 2006 Thomas Chung <tchung@openwebmail.org> 2.52-1
- Version 2.52

* Mon Feb 28 2005 Thomas Chung <tchung@openwebmail.org> 2.51-1
- Version 2.51

* Thu Jan 06 2005 Thomas Chung <tchung@openwebmail.org> 2.50-1
- Version 2.50

* Sun Sep 26 2004 Thomas Chung <tchung@openwebmail.org> 2.41-1
- Version 2.41

* Sun Aug 15 2004 Thomas Chung <tchung@openwebmail.org> 2.40-1
- Version 2.40

* Mon Jul 26 2004 Thomas Chung <tchung@openwebmail.org>
- Add dependency check for perl
- Add dependency check for perl-suidperl
- Add dependency check for perl-Compress-Zlib
- Add dependency check for perl-Text-Iconv

* Thu Jul 22 2004 Thomas Chung <tchung@openwebmail.org>
- Clean up spec file
- Use macro

